Protect Ubuntu 12.10 From Bash Vulnerability

27 sec read

You will find lots of solutions for latest Ubuntu (14.xx) and for Ubuntu LTS versions like 10.04, 12.04, and 14.04, but for 12.10, a beautiful solution was provided by Digital Ocean Community. Special thanks to GD.
For easy reference, I copy-pasted the script lines below.

inj
Run the below commands as root
[source]
mkdir src
cd src
wget http://ftp.gnu.org/gnu/bash/bash-4.3.tar.gz
#download all patches
for i in $(seq -f “%03g” 0 27); do wget http://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-$i; done
tar zxvf bash-4.3.tar.gz
cd bash-4.3
#apply all patches
for i in $(seq -f “%03g” 0 27);do patch -p0 < ../bash43-$i; done #build and install ./configure && make && make install cd .. cd .. rm -r src [/source] The actual source is at Digital Ocean community

Related posts:

Galen Framework – Part 2

Today, lots of automation tools are available in the market for the various testing purpose like cross browser testing, Responsive testing, load testing etc.,...
karthikeyan S
1 min read

Create Beautiful Charts in iOS using React native

Charts are getting important in our applications day by day , users now prefer diagrammatic representations that looking at a table and understanding the...
Ranjith Varma
1 min read

Leave a Reply

Your email address will not be published. Required fields are marked *